#include <iostream>
#include <cmath>
#include <vector>

class Punkt
{
public:
	double x;
	double y;
	double z;
	double d;

	Punkt(){}
	// dla odmiany uzyjemy list inicjalizacyjnych
	// oraz wartosci domyslnych
	Punkt(double a=0, double b=0, double c=0) : x(a), y(b), z(c)
	{
		d = sqrt(x*x+y*y+z*z);
	}
	//konstruktor kopiujacy
	Punkt(const Punkt& p)
	{
		this->x = p.x;
		this->y = p.y;
		this->z = p.z;
		this->d = p.d;
	}
};

int main()
{
	std::vector<Punkt> v;
	v.push_back(Punkt(3, 4, 5));
	v.push_back(Punkt(-3, 14, 5));
	v.push_back(Punkt(0.3, 0.4, 0.5));

	for (auto w : v)
	{
		std::cout << w.x << " " << w.y << " " << w.z << " d=" << w.d << '\n';
	}
	return 0;
}